Skip to main content
POST
Get metadata for multiple NFT contracts

Authorizations

X-API-Key
string
header
default:test
required

Query Parameters

chain
enum<string>

The chain to query

Available options:
eth,
0x1,
polygon,
0x89,
bsc,
0x38,
avalanche,
0xa86a,
cronos,
0x19,
arbitrum,
0xa4b1,
chiliz,
0x15b38,
gnosis,
0x64,
base,
0x2105,
optimism,
0xa,
linea,
0xe708,
moonbeam,
0x504,
moonriver,
0x505,
flow,
0x2eb,
ronin,
0x7e4,
lisk,
0x46f,
pulse,
0x171,
sei,
0x531,
monad,
0x8f
include_prices
boolean
default:false

Should NFT last sale prices be included in the result?

Body

application/json

Body

addresses
string[]
required
Required array length: 1 - 25 elements

Response

200 - application/json

Returns the metadata for the requested NFT collections.

token_address
string
required

The address of the token contract

Example:

"0x2d30ca6f024dbc1307ac8a1a44ca27de6f797ec22ef20627a1307243b0ab7d09"

name
string
required

The name of the token contract

Example:

"KryptoKitties"

symbol
string
required

The symbol of the NFT contract

Example:

"RARI"

contract_type
string
required

The type of NFT contract

Example:

"ERC721"

possible_spam
boolean
required

Indicates if a contract is possibly a spam contract

Example:

"false"

verified_collection
boolean
required

Indicates if a contract is verified

Example:

"false"

synced_at
string

Timestamp of when the contract was last synced with the node

The logo of the collection

Example:

"https://cdn.moralis.io/eth/0x67b6d479c7bb412c54e03dca8e1bc6740ce6b99c.png"

collection_banner_image
string

The banner image of the collection

Example:

"https://cdn.moralis.io/eth/0x67b6d479c7bb412c54e03dca8e1bc6740ce6b99c.png"

collection_category
string

The category of the collection

Example:

"Art"

project_url
string

The project url of the collection

Example:

"https://www.cryptokitties.co/"

wiki_url
string

The wiki url of the collection

Example:

"https://en.wikipedia.org/wiki/CryptoKitties"

discord_url
string

The discord url of the collection

Example:

"https://discord.com/invite/cryptokitties"

telegram_url
string

The telegram url of the collection

Example:

"https://t.me/cryptokitties"

twitter_username
string

The twitter username of the collection

Example:

"CryptoKitties"

instagram_username
string

The instagram username of the collection

Example:

"cryptokitties"

floor_price
string

The floor price of the contract

Example:

"12345"

floor_price_usd
string

The floor price of the contract in USD

Example:

"12345.4899"

floor_price_currency
string

The currency of the floor price

Example:

"eth"

last_sale
object | null

Details about the most recent sale involving this token.